unit RegisterAgreement;

interface

uses
  System.SysUtils,
  System.Classes,
  JS,
  Web,
  WEBLib.Graphics,
  WEBLib.Controls,
  WEBLib.Forms,
  WEBLib.Dialogs,
  Vcl.Controls,
  WEBLib.ExtCtrls,
  Vcl.StdCtrls,
  WEBLib.StdCtrls,
  XData.Web.Client;

type
  TAgreementForm = class(TWebForm)
    AgreeYesButton: TWebButton;
    AgreeCancelButton: TWebButton;
    TermsDocument: TWebHTMLContainer;
    procedure AgreeYesButtonClick(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
  private
    FWebClient: TXDataWebClient;
    [Async]
    procedure LoadAgreement;
  public
    { Public declarations }
    property WebClient: TXDataWebClient write FWebClient;
  end;

implementation

{$R *.dfm}

procedure TAgreementForm.AgreeYesButtonClick(Sender: TObject);
begin
  ModalResult := mrYes;
end;

procedure TAgreementForm.LoadAgreement;
const
  Svc_LookUpCharityDetails = 'IGARegisterService.GetTermsAndConditions';
var
  lRetval: TXDataClientResponse;
begin
  lRetval := await(TXDataClientResponse, WebClient.RawInvokeAsync(Svc_LookUpCharityDetails, []));
  TermsDocument.HTML.Text := String(lRetval.ResultAsObject['value']);
end;

procedure TAgreementForm.WebFormCreate(Sender: TObject);
begin
  LoadAgreement;
end;

end.
